      SUBROUTINE MAIN
      LOGICAL*1 BUF(512)
      INTEGER JUNK, SIZE(2), FSIZE(2)
      INTEGER NOTE, AGETHD
      INTEGER*4 ADDR
      CALL QUERY(28Husage:  asam <input_archive.)
      FSIZE(1) = 32767
      FSIZE(2) = 0
23000 CONTINUE
      JUNK = NOTE(ADDR, 1)
      IF (.NOT.(AGETHD(1, BUF, SIZE, FSIZE) .NE. 0))GOTO 23003
      GOTO 23002
23003 CONTINUE
      CALL PUTLIN(BUF, 2)
      CALL PUTCH(32, 2)
      CALL PUTPTR(ADDR, 2)
      CALL PUTCH(10, 2)
      CALL ASKIP(1, SIZE, FSIZE)
23001 GOTO 23000
23002 CONTINUE
      RETURN
      END
